<template>
  <button @click="onClick" :style="{background: bgColor}" class="btn">{{text}}</button>
</template>

<script>
export default {
  name: "Button",
  props: {
    text: String,
    bgColor: String,
  },
  methods: {
    onClick() {
      this.$emit('btn-click')
    }
  },
  emits: ['btn-click']
}
</script>

<style scoped>

</style>
